#!/usr/bin/env python3

import sys
import json
from influxdb import InfluxDBClient

client = InfluxDBClient(host='localhost', port=8086, username='root', password='root', database='lxf')
client.create_database('lxf')

for db in client.get_list_database():
    print(db)

json_data = [
        {
            "measurement": "LXF_DATA",
            "tags": {
                "host": "s1",
                "region": "europe"
            },
            "time": "2009-11-10T23:00:00Z",
            "fields": {
                "Pi": 3.1415,
                "Int_value": 3,
                "Name": "Pi",
                "Bool_value": False
            }
        }
]

print("Writing points")
client.write_points(json_data)

query = 'select * from LXF_DATA;'
result = client.query(query)
print("Result: {0}".format(result))

client.close()
