#!/usr/bin/python
#
###########
#
# Name:PWM_LED.py
# Description:change LED intensity using PWM
# Date: Feb. 18, 2019
# Revision:1.0
#
###########

import RPi.GPIO as GPIO  # provides interface to input/output pins of the Pi
import time


# initialize variables
GPIOpin = 19 # GPIO10
#[Callout 1]
freq = 74

#setup GPIO
GPIO.setwarnings(False)
GPIO.setmode(GPIO.BOARD)  # set option to reference physical pins
GPIO.setup(GPIOpin, GPIO.OUT)
pwm = GPIO.PWM(GPIOpin, freq)
#[Callout 2]
pwm.start(0)

try:

    while 1:
        time.sleep(5)
        #[Callout 3]
        pwm.ChangeDutyCycle(20)
        time.sleep(5)
        pwm.ChangeDutyCycle(60)
        time.sleep(5)
        pwm.ChangeDutyCycle(90)
        time.sleep(5)

except KeyboardInterrupt:  # if ctrl+c pressed exit cleanly
    GPIO.cleanup()
except:  # this catches ALL other exceptions including errors.
    GPIO.cleanup()
finally:  # cleanup GPIO on normal exit
    GPIO.cleanup()

