#!/usr/bin/python
##########
#
# Name: one_servo_continuous_move.py
# Description:python script to move servo 0 through 180 degrees.
# Version 1.0
# Date: Feb.17, 2019
#
#########

#[Callout 1]
import time					#provides various time-related functions
import RPi.GPIO as GPIO		#provides interface to input/output pins of the Pi

# initialize variables
GPIOpin = 23 # GPIO11
#[Callout 2]
freq = 50

#setup GPIO
GPIO.setwarnings(False)
GPIO.setmode (GPIO.BOARD)
GPIO.setup(GPIOpin,GPIO.OUT)
#[Callout 3]
pwm = GPIO.PWM(GPIOpin, freq)
pwm.start(7.5)


try:

    while 1:
        #[Callout 4]
        pwm.ChangeDutyCycle(2.5)
        time.sleep(1)
        pwm.ChangeDutyCycle(7.5)
        time.sleep(1)
        pwm.ChangeDutyCycle(12.5)
        time.sleep(1)


except KeyboardInterrupt: #if ctrl+c pressed exit cleanly
    GPIO.cleanup()
except: # this catches ALL other exceptions including errors.
    GPIO.cleanup()
finally: #cleanup GPIO on normal exit
    GPIO.cleanup()
